package com.sf._07_simple_date_fomat;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Scanner;

public class Test {
    public static void main(String[] args) throws ParseException {
        /**
         * SimpleDateFormat类主要作用就是做日期格式化
         * 如果不满足默认日期格式 就可以使用这个类做定制化日期格式
         *
         * 两个api
         * String format(Date date)   把日期转成字符串
         * Date  parse(String date)   把字符串转成日期
         *
         * 构造器
         * y 年   M 月  d 天   H 小时  m 分钟  s 秒
         * SimpleDateFormat(String pattern)
         *
         */
//        SimpleDateFormat sdf = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
//        String str = sdf.format(new Date());
//        System.out.println(str);
//        // 把这个字符串转成日期
//        Date date = sdf.parse(str);
//        System.out.println(date);

        /**
         * 在控制台当中录入2026-1-10 12:00:00  信息
         * 最终在控制台打印2026年1月10日 12点00分00秒
         */
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入日期");
        String dateStr = scanner.nextLine();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日 HH时mm分ss秒");
        SimpleDateFormat sdf1 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        // 把输入时间转成日期
        Date d = sdf1.parse(dateStr);
        System.out.println(sdf.format(d));

    }
}
